Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.plaf.icons
Class IconResource

    java.lang.Object
      org.flexdock.plaf.icons.IconResource

All Implemented Interfaces:
  UIResource

    public class IconResource

extends Object
implements UIResource

Author:
  Christopher Butler

Constructor Summary
`IconResource()`

Method Summary
`Action` | `getAction()`
`Icon` | `getIcon()`
`Icon` | `getIconActive()`
`Icon` | `getIconActiveDisabled()`
`Icon` | `getIconActiveHover()`
`Icon` | `getIconDisabled()`
`Icon` | `getIconHover()`
`Icon` | `getIconPressed()`
`Icon` | `getIconSelected()`
`Icon` | `getIconSelectedActive()`
`Icon` | `getIconSelectedActiveDisabled()`
`Icon` | `getIconSelectedActiveHover()`
`Icon` | `getIconSelectedDisabled()`
`Icon` | `getIconSelectedHover()`
`Icon` | `getIconSelectedPressed()`
`String` | `getTooltip()`
`String` | `getTooltipSelected()`
`void` | `setAction(Action action)`
`void` | `setIcon(Icon icon)`
`void` | `setIconActive(Icon iconActive)`
`void` | `setIconActiveDisabled(Icon iconActiveDisabled)`
`void` | `setIconActiveHover(Icon iconActiveHover)`
`void` | `setIconDisabled(Icon iconDisabled)`
`void` | `setIconHover(Icon iconHover)`
`void` | `setIconPressed(Icon iconPressed)`
`void` | `setIconSelected(Icon iconSelected)`
`void` | `setIconSelectedActive(Icon iconSelectedActive)`
`void` | `setIconSelectedActiveDisabled(Icon iconSelectedActiveDisabled)`
`void` | `setIconSelectedActiveHover(Icon iconSelectedActiveHover)`
`void` | `setIconSelectedDisabled(Icon iconSelectedDisabled)`
`void` | `setIconSelectedHover(Icon iconSelectedHover)`
`void` | `setIconSelectedPressed(Icon iconSelectedPressed)`
`void` | `setTooltip(String tooltip)`
`void` | `setTooltipSelected(String tooltipSelected)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IconResource

    public IconResource()

Method Detail

### getIcon

    public Icon getIcon()

  Returns:
    Returns the icon.

### setIcon

    public void setIcon(Icon icon)

  Parameters:
    `icon` - The icon to set.

### getIconActive

    public Icon getIconActive()

  Returns:
    Returns the iconActive.

### setIconActive

    public void setIconActive(Icon iconActive)

  Parameters:
    `iconActive` - The iconActive to set.

### getIconActiveHover

    public Icon getIconActiveHover()

  Returns:
    Returns the iconActiveHover.

### setIconActiveHover

    public void setIconActiveHover(Icon iconActiveHover)

  Parameters:
    `iconActiveHover` - The iconActiveHover to set.

### getIconHover

    public Icon getIconHover()

  Returns:
    Returns the iconHover.

### setIconHover

    public void setIconHover(Icon iconHover)

  Parameters:
    `iconHover` - The iconHover to set.

### getIconPressed

    public Icon getIconPressed()

  Returns:
    Returns the iconPressed.

### setIconPressed

    public void setIconPressed(Icon iconPressed)

  Parameters:
    `iconPressed` - The iconPressed to set.

### getIconSelected

    public Icon getIconSelected()

### setIconSelected

    public void setIconSelected(Icon iconSelected)

### getIconSelectedActive

    public Icon getIconSelectedActive()

### setIconSelectedActive

    public void setIconSelectedActive(Icon iconSelectedActive)

### getIconSelectedActiveHover

    public Icon getIconSelectedActiveHover()

### setIconSelectedActiveHover

    public void setIconSelectedActiveHover(Icon iconSelectedActiveHover)

### getIconSelectedHover

    public Icon getIconSelectedHover()

### setIconSelectedHover

    public void setIconSelectedHover(Icon iconSelectedHover)

### getIconSelectedPressed

    public Icon getIconSelectedPressed()

### setIconSelectedPressed

    public void setIconSelectedPressed(Icon iconSelectedPressed)

### getTooltip

    public String getTooltip()

### setTooltip

    public void setTooltip(String tooltip)

### getTooltipSelected

    public String getTooltipSelected()

### setTooltipSelected

    public void setTooltipSelected(String tooltipSelected)

### getAction

    public Action getAction()

### setAction

    public void setAction(Action action)

### getIconDisabled

    public Icon getIconDisabled()

  Returns:
    Returns the iconDisabled.

### setIconDisabled

    public void setIconDisabled(Icon iconDisabled)

  Parameters:
    `iconDisabled` - The iconDisabled to set.

### getIconActiveDisabled

    public Icon getIconActiveDisabled()

  Returns:
    Returns the iconActiveDisabled.

### setIconActiveDisabled

    public void setIconActiveDisabled(Icon iconActiveDisabled)

  Parameters:
    `iconActiveDisabled` - The iconActiveDisabled to set.

### getIconSelectedActiveDisabled

    public Icon getIconSelectedActiveDisabled()

  Returns:
    Returns the iconSelectedActiveDisabled.

### setIconSelectedActiveDisabled

    public void setIconSelectedActiveDisabled(Icon iconSelectedActiveDisabled)

  Parameters:
    `iconSelectedActiveDisabled` - The iconSelectedActiveDisabled to set.

### getIconSelectedDisabled

    public Icon getIconSelectedDisabled()

  Returns:
    Returns the iconSelectedDisabled.

### setIconSelectedDisabled

    public void setIconSelectedDisabled(Icon iconSelectedDisabled)

  Parameters:
    `iconSelectedDisabled` - The iconSelectedDisabled to set.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD